@echo off & setlocal enableextensions
if not defined cmdbox color 20
echo.
echo Ŀ
echo  Display the full name of a file 
echo  By Prof. Timo Salmi             
echo  Last modified Sat 3-Sep-2005    
echo 
echo.

rem
rem An Important warning: Do not associate with "File Folder", "Folder"
rem or "Drive" types!
rem
rem
rem The intended main usage of this script is the following. In
rem  My Computer
rem   Tools
rem    File Types (choose one from the list)
rem     Advanced
rem      New
rem one can associate file types with additional programs and scripts.
rem Associate the current script and it will open a temporary dosbox to
rem display the path to the target file from your desktop.
rem
rem Some customization of the pause logic at the end may be required
rem

if [%1]==[] (
  echo Usage: %~f0 [FileName]
  goto _out
)

:: No wildcards allowed
echo "%1"|findstr "[*?]">nul
if %errorlevel% EQU 0 (
  echo Wildcards not allowed in %1
  goto _out)

:: From CLI
:: I automatically have cmdbox set as true whenever I use CLI
if defined cmdbox (
  if not exist "%~f1" (
    echo File "%~f1" not found
    goto _out)
  echo "%~f1"
  goto _out
)

:: From desktop
echo %1
echo.

:_out
rem Customization of the pause logic may be required
if not defined cmdbox if defined PauseIfFromDesktop pause
if not defined cmdbox color
endlocal & goto :EOF
